%define name kggs
%define version 1.0
%define release %mkrel 8
%define __libtoolize true

Name: %{name}
Summary: Play online reversi, on ggs, with KDE
Version: %{version}
Release: %{release}
License: GPL
Url: http://manu.agat.net/%{name}/
Group: Games/Boards
Source: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png.bz2
Source11: %{name}-32.png.bz2
Source12: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel
BuildRequires:  chrpath
Prefix: %{_prefix}


%description
This is a kde client to connect to GGS (Generic Game Server) to play online
against other players or bots.

%prep
%setup -n %{name}-%{version}

%build
%configure \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
%makeinstall
chrpath -d %{buildroot}%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Categories=BoardGame;
Name=KGGS
Comment=Play othello online
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
#%{_datadir}/apps/%{name}/icons/crystalsvg/32x32/actions/*.png
#%{_datadir}/apps/%{name}/pics/*.png
%{_datadir}/applnk/Amusement/Strategy/%{name}.desktop
%{_datadir}/applnk/Amusement/Strategy/
%{_datadir}/applnk/Amusement/
%{_datadir}/apps/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%post
%{update_menus}

%postun
%{clean_menus}



%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-8mdv2008.1
+ Revision: 141864
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- fix summary
- import kggs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 1.0-8mdk
- fix x86_64 build

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-7mdk
- Remove redundant buildRequires
- use mkrel

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-6mdk
- rebuild

* Mon Jan 12 2004 Blindauer Emmanuel <manu (at) agat.net> 1.0-5mdk
- Added BuildRequires kdelibs-common

* Fri Nov 28 2003 Emmanuel Blindauer <manu (at) agat.net> 1.0-4mdk
 - Some spec clean up (owns the directories now), removed the 
   autom4te.cache

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-3mdk
- rebuild

* Thu Aug 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- from Emmanuel Blindauer <manu (at) agat.net> :
	- removed rm -rf $RPM_BUILD_ROOT from %%prep
	- added %%{_datadir}/apps/%%{name} as directory in the package

*  Tue May 27 2003 Emmanuel Blindauer <manu (at) agat.net> 1.0-1mdk
- first packaged version

